# Get Freeze Details by Identifiers

Retrieve detailed freeze information including entity extraction for a specific freeze.

Endpoint: GET /rmg/api/freeze/details/{freeze_identifier}
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

## Path parameters:

  - `freeze_identifier` (string, required)
    The freeze identifier to get details for

## Response 200 fields (application/json):

  - `freeze_identifier` (string, required)
    Freeze identifier

  - `orgIdentifier` (string, required)
    Organization identifier

  - `projectIdentifier` (string, required)
    Project identifier

  - `name` (string, required)
    Freeze name

  - `description` (string)
    Freeze description

  - `status` (string)
    Freeze status
    Enum: "Enabled", "Disabled"

  - `entities` (object, required)
    Entity information extracted from freeze YAML configuration

  - `entities.services` (array, required)
    Service identifiers extracted from YAML. Contains "__ALL__" marker if all services are frozen (filterType="All").

  - `entities.environments` (array, required)
    Environment identifiers extracted from YAML. Contains "__ALL__" marker if all environments are frozen (filterType="All").

  - `entities.environmentTypes` (array, required)
    Environment type identifiers extracted from YAML. Contains "__ALL__" marker if all environment types are frozen (filterType="All").

  - `entities.projects` (array, required)
    Project identifiers extracted from YAML. Contains "__ALL__" marker if all projects are frozen (filterType="All").

  - `entities.organizations` (array, required)
    Organization identifiers extracted from YAML. Contains "__ALL__" marker if all organizations are frozen (filterType="All").

  - `entities.pipelines` (array, required)
    Pipeline identifiers extracted from YAML. Contains "__ALL__" marker if all pipelines are frozen (filterType="All").

  - `expectedStartTs` (integer, required)
    Expected start timestamp

  - `expectedEndTs` (integer, required)
    Expected end timestamp

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


